package cn.superdesk.uniorder.dubbo.consumer.invoice.customer.invoiced;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedOperationLog;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedOperationLogParam;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedOperationLogQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.invoice.customer.invoiced.DubboInvoiceInvoicedOperationLogService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 应收账款-操作日志-操作留痕
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-28 15:28:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-28 15:28:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class InvoiceInvoicedOperationLogDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboInvoiceInvoicedOperationLogService dubboInvoiceInvoicedOperationLogService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(InvoiceInvoicedOperationLogParam param) {

		dubboInvoiceInvoicedOperationLogService.addObj(param);

	}

	public void updateObj(InvoiceInvoicedOperationLogParam param) {

		dubboInvoiceInvoicedOperationLogService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboInvoiceInvoicedOperationLogService.deleteObj(id);
	}

	public InvoiceInvoicedOperationLog findById(Long id) {

		return dubboInvoiceInvoicedOperationLogService.findById(id);
	}

	public PageInfo<InvoiceInvoicedOperationLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboInvoiceInvoicedOperationLogService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<InvoiceInvoicedOperationLog> findAll(Map<String, Object> queryMap) {

		return dubboInvoiceInvoicedOperationLogService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addInvoiceInvoicedOperationLog(InvoiceInvoicedOperationLogParam param) {

		dubboInvoiceInvoicedOperationLogService.addInvoiceInvoicedOperationLog(param);
	}


	public void updateInvoiceInvoicedOperationLog(InvoiceInvoicedOperationLogParam param) {

		dubboInvoiceInvoicedOperationLogService.updateInvoiceInvoicedOperationLog(param);
	}


	public void deleteInvoiceInvoicedOperationLog(Long id) {
		dubboInvoiceInvoicedOperationLogService.deleteInvoiceInvoicedOperationLog(id);
	}


	public InvoiceInvoicedOperationLog findInvoiceInvoicedOperationLogById(Long id) {

		return dubboInvoiceInvoicedOperationLogService.findInvoiceInvoicedOperationLogById(id);
	}


	public R<List<InvoiceInvoicedOperationLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboInvoiceInvoicedOperationLogService.pageQuery(conditions, pageNun, pageSize);
	}

	public R<List<InvoiceInvoicedOperationLog>> pageQueryGenericParam(InvoiceInvoicedOperationLogQueryCriteria queryCriteria) {
		return dubboInvoiceInvoicedOperationLogService.pageQueryGenericParam(queryCriteria);
	}
}
